# $Revision: 1.52 $, $Date: 2012/01/11 21:29:21 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Config
%define		pnam	IniFiles
Summary:	Config::IniFiles - a module for reading .ini-style configuration files
Summary(pl.UTF-8):	Config::IniFiles - moduł do odczytu plików konfiguracyjnych typu .ini
Name:		perl-Config-IniFiles
Version:	2.68
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c860f04b2d7d3cb0cc462ed896112c62
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Config::IniFiles Perl module provides a way to have readable
configuration files outside your Perl script.  Configurations can be
imported (inherited, stacked,...), sections can be grouped, and
settings can be accessed from a tied hash.

%description -l pl.UTF-8
Moduł Perla Config::IniFiles umożliwia posiadanie czytelnych plików
konfiguracyjnych poza skryptem perlowym. Konfigurację można
zaimportować (odziedziczyć, umieścić na stosie, ...), sekcje można
pogrupować a dostęp do łańcuchów tekstowych może się odbywać poprzez
stowarzyszony z plikiem hash.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{_mandir}/man3/*
%{perl_vendorlib}/Config/IniFiles.pm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Config-IniFiles.spec,v $
Revision 1.52  2012/01/11 21:29:21  zbyniu
- up to 2.68

Revision 1.51  2009/11/20 07:22:25  amateja
- updated to 2.54

Revision 1.50  2009/11/16 05:46:41  amateja
- updated to 2.53

Revision 1.49  2009/09/09 11:44:23  amateja
- updated to 2.52

Revision 1.48  2009/06/16 13:42:03  amateja
- updated to 2.51

Revision 1.47  2009/01/21 19:31:42  arekm
- up to 2.45

Revision 1.46  2008/07/27 22:22:22  arekm
- release 3

Revision 1.45  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.44  2007/02/12 00:49:26  baggins
- converted to UTF-8

Revision 1.43  2004/11/03 22:30:11  paladine
- formatting

Revision 1.42  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.41  2004/05/06 18:09:21  ankry
- fixed perl-devel BR

Revision 1.40  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.39  2004/04/20 09:46:28  ankry
- bcond fixes/porting

Revision 1.38  2004/04/18 21:05:41  ankry
- summary, description and license fixes

Revision 1.37  2003/09/09 10:24:30  ankry
- spaces -> tab

Revision 1.36  2003/08/18 08:08:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.35  2003/06/11 22:23:41  misi3k
- updated to 2.38

Revision 1.34  2003/05/28 13:00:29  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.31  2003/03/01 18:46:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.30  2003/02/25 00:37:40  radek
- use the __perl macro

Revision 1.29  2003/02/18 15:28:22  ankry
- massive attack: change CPAN URLs

Revision 1.28  2003/02/05 16:17:32  ankry
- autoupdated to 2.37

Revision 1.27  2003/01/07 13:14:46  mis
- autoupdated to 2.36

Revision 1.26  2002/10/28 15:41:49  ankry
- version 2.30, added tests, cleaning

Revision 1.25  2002/08/17 07:06:28  kloczek
- (auto)update to 2.29.

Revision 1.24  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.23  2002/07/11 07:57:44  depesz
- new version; should work; STBR

Revision 1.22  2002/07/10 08:46:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.21  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/02/25 10:30:00  depesz
cleanup; revision++

Revision 1.19  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/13 14:10:18  depesz
automatic: Source location unified, Relase Up

Revision 1.17  2002/02/10 15:24:42  depesz
adapterized

Revision 1.16  2002/01/18 02:14:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/09/08 07:46:47  kloczek
- updated to 2.21.

Revision 1.14  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.13  2001/04/17 12:06:36  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/04/10 19:25:33  mis
- autoupdated to 2.19

Revision 1.10  2001/04/02 07:12:32  kloczek
- added pl %description.

Revision 1.9  2001/03/30 15:05:07  mis
- autoupdated to 2.18

Revision 1.8  2001/03/29 07:44:51  mis
- autoupdated to 2.17

Revision 1.7  2001/01/08 23:12:24  kloczek
- updated to 2.14.

Revision 1.6  2001/01/02 16:21:22  agaran
undo last 2 changes

Revision 1.5  2001/01/02 16:16:08  agaran
Release ++, (changed build req.) to rebuild

Revision 1.4  2001/01/02 16:14:39  agaran
it dont require perl >=5.6, just perl

Revision 1.3  2000/12/30 01:26:40  kloczek
- release 1,
- removed .packlist from %%files,
- adapterized and added full url in Source.

Revision 1.2  2000/12/28 01:59:14  agaran
cosmetics (should build now)

Revision 1.1  2000/12/22 19:01:12  agaran
initial release, builds on perl 5.6/5.00 (and works as far as i can check)

Revision 1.3  2000/11/10 16:07:23  agaran
Changed Source url

Revision 1.2  2000/10/04 22:21:18  kloczek
- adapteried.
